ChaChaTLS_Policy Class Reference

IETF ChaCha20 stream cipher implementation. More...

`#include <chacha.h>`

Inheritance diagram for ChaChaTLS_Policy:

## Additional Inherited Members

Public Types inherited from AdditiveCipherConcretePolicy< word32, 16 >
typedef word32 | WordType
| Word type for the cipher.
Public Member Functions inherited from AdditiveCipherConcretePolicy< word32, 16 >
unsigned int | GetBytesPerIteration () const
| Provides number of bytes operated upon during an iteration.
unsigned int | GetIterationsToBuffer () const
| Provides buffer size based on iterations.
bool | CanOperateKeystream () const
| Flag indicating.
Public Member Functions inherited from AdditiveCipherAbstractPolicy
virtual void | WriteKeystream (byte *keystream, size_t iterationCount)
| Generate the keystream.
Static Public Attributes inherited from AdditiveCipherConcretePolicy< word32, 16 >
static const int | BYTES_PER_ITERATION
| Number of bytes for an iteration.

## Detailed Description

IETF ChaCha20 stream cipher implementation.

Since
  Crypto++ 8.1

Definition at line 114 of file chacha.h.

## Constructor & Destructor Documentation

## ~ChaChaTLS_Policy()

virtual ChaChaTLS_Policy::~ChaChaTLS_Policy | ( |  | ) |

inline virtual

Definition at line 117 of file chacha.h.

## ChaChaTLS_Policy()

ChaChaTLS_Policy::ChaChaTLS_Policy | ( |  | ) |

inline

Definition at line 118 of file chacha.h.

The documentation for this class was generated from the following files:

- chacha.h
- chacha.cpp